# Uses of Class
org.astrogrid.samp.xmlrpc.XmlRpcKit

Packages that use XmlRpcKit
Package
Description
org.astrogrid.samp.xmlrpc
Classes relating to Standard Profile and XML-RPC pluggable implementation layer.

## Uses of XmlRpcKit in org.astrogrid.samp.xmlrpc

Fields in org.astrogrid.samp.xmlrpc declared as XmlRpcKit
Modifier and Type
Field
Description
`static final XmlRpcKit`
XmlRpcKit.`APACHE`
Implementation based on Apache XML-RPC.
`static final XmlRpcKit`
XmlRpcKit.`INTERNAL`
Implementation which requires no external libraries.
`static XmlRpcKit[]`
XmlRpcKit.`KNOWN_IMPLS`
Array of available known implementations of this class.
`static final XmlRpcKit`
XmlRpcKit.`RPC_LOGGING`
Internal implementation variant with verbose logging of RPC calls.
`static final XmlRpcKit`
XmlRpcKit.`XML_LOGGING`
Internal implementation variant with verbose logging of XML I/O.
Methods in org.astrogrid.samp.xmlrpc that return XmlRpcKit
Modifier and Type
Method
Description
`static XmlRpcKit`
XmlRpcKit.`createReflectionKit(String name, String clientFactoryClassName, String serverFactoryClassName)`
Returns a new XmlRpcKit given classnames for the client and server factory classes.
`static XmlRpcKit`
XmlRpcKit.`getInstance()`
Returns the default instance of this class.
`static XmlRpcKit`
XmlRpcKit.`getInstanceByName(String name)`
Returns an XmlRpcKit instance given its name.
Methods in org.astrogrid.samp.xmlrpc with parameters of type XmlRpcKit
Modifier and Type
Method
Description
`static HubRunner`
HubRunner.`runHub(HubMode hubMode, XmlRpcKit xmlrpc)`
Deprecated.
Static method which may be used to start a SAMP hub programmatically.
`static HubRunner`
HubRunner.`runHub(HubMode hubMode, XmlRpcKit xmlrpc, String secret, File lockfile)`
Deprecated.
Static method which may be used to start a SAMP hub programmatically, with a supplied samp.secret string.
Constructors in org.astrogrid.samp.xmlrpc with parameters of type XmlRpcKit
Modifier
Constructor
Description
``
`StandardClientProfile(XmlRpcKit xmlrpc)`
Constructs a profile given an XmlRpcKit object.